      Subroutine NetCDF_Read(INPUTCDFFILE,IXM,IYM,IZM,
     &                        XMAX,  YMAX,  ZMAX,
     &                        XMIN,  YMIN,  ZMIN,
     &                       xread, yread, zread,
     &                      vxread,vyread,vzread,
     &                     rhoread,tkread,sigmaread)
      Implicit NONE
      Character*64 INPUTCDFFILE
      Integer IXM,IYM,IZM
      
      Real*8 XMAX,YMAX,ZMAX
      Real*8 XMIN,YMIN,ZMIN

      Real*8     xread(1:IXM)
      Real*8     yread(1:IYM)
      Real*8     zread(1:IZM)
      Real*8    vxread(1:IXM,1:IYM,1:IZM)
      Real*8    vyread(1:IXM,1:IYM,1:IZM)
      Real*8    vzread(1:IXM,1:IYM,1:IZM)
      Real*8   rhoread(1:IXM,1:IYM,1:IZM)
      Real*8    tkread(1:IXM,1:IYM,1:IZM)
      Real*8 sigmaread(1:IXM,1:IYM,1:IZM)

      Character*64 inputfile

      Integer*4 idfin
      Integer*4 mstatus

      INCLUDE 'netcdf.inc'
      
      Real*8 aaa 

c---- Main
      inputfile = INPUTCDFFILE
      write(*,*) "Input file is ", inputfile

      mstatus=nf_open(inputfile,0,idfin)

      call ncgetos(idfin,'XMAX',XMAX)
      call ncgetos(idfin,'YMAX',YMAX)
      call ncgetos(idfin,'ZMAX',ZMAX)
      call ncgetos(idfin,'XMIN',XMIN)
      call ncgetos(idfin,'YMIN',YMIN)
      call ncgetos(idfin,'ZMIN',ZMIN)

      call ncgeto1(idfin,'x',xread,IXM)
      call ncgeto1(idfin,'y',yread,IYM)
      call ncgeto1(idfin,'z',zread,IZM)
      call ncgeto3(idfin,'vx',vxread,IXM,IYM,IZM)
      call ncgeto3(idfin,'vy',vyread,IXM,IYM,IZM)
      call ncgeto3(idfin,'vz',vzread,IXM,IYM,IZM)
      call ncgeto3(idfin,'rho',rhoread,IXM,IYM,IZM)
      call ncgeto3(idfin,'tk' ,tkread,IXM,IYM,IZM)
      call ncgeto3(idfin,'sigma',sigmaread,IXM,IYM,IZM)

      mstatus=nf_close(idfin)

      Return
      End

      
      
