c---- Define Data cube size (ix=0:IXMAX,iy=0:IXMAX,iz=0:IXMAX)
      Integer NMESH
        Parameter (NMESH=31)
      Integer IXMAX,IYMAX,IZMAX
        Parameter (IXMAX=NMESH-1,IYMAX=NMESH-1,IZMAX=NMESH-1)
      Integer VBIN
        Parameter (VBIN=31)

c---- Define maximum level sumpber. NSPECIESMAX is dummy index. Set 1.
c---- Calculation level is from 0 to NLEVMAX-1
      Integer NLEVMAX,NSPECIESMAX
        Parameter (NLEVMAX=30,NSPECIESMAX=1)     ! For CO
c        Parameter (NLEVMAX=21,NSPECIESMAX=1)    ! For HCO+

      Integer*4        TABLEMIN,TABLEMAX
        Parameter     (TABLEMIN=1,TABLEMAX=40)

c---- Physical constants
      Real*8 H              !Plank Constant       [erg s]
        Parameter(H=6.626184D-27)
      Real*8 LC             !Light Speed          [ cm/s]
        Parameter(LC=2.99792458D10)  
      Real*8 KB             !Boltzmann's Constant [erg/K]
        Parameter(KB=1.380664D-16) 
      Real*8 ATOM           !Atomic Weight
        Parameter(ATOM=1.6605402D-24)

      Real*8 PI
        Parameter(PI=3.1415926535898D+0)

      Real*8 EPSILON
         Parameter(EPSILON=1.0D-200)
