      Subroutine TexOut(Niter)
      Implicit NONE

      Include 'state.inc'

      Integer Niter
      Integer ix,iy,iz
      Integer j
      Real*8 RNH,de,tex0,tex1,tex2,tex3,tex4,tex5,rg

      Character*4 name
      Character*7 fname

c---- main

      write(name,'(I4.4)') Niter
      fname = "Tex"//name
      Open (Unit=51,File=fname)

      Do ix = 0,IXMAX
         Do iy = 0,IYMAX
            Do iz = 0,IZMAX
               
         j=0
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex0=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=1
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex1=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=2
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex2=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=3
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex3=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=4
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex4=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         rg = Sqrt(x(ix)*x(ix)+y(iy)*y(iy)+z(iz)*z(iz))

         write(51,'(24(1X,E10.4))') rg,tex0,tex1,tex2,tex3,tex4

           End do
        End do
      End do
      Close(51)



      Return
      End
