      Program NetCDF_Read
      Implicit NONE

      Integer IXMAX,IYMAX,IZMAX
        PARAMETER (IXMAX=31,IYMAX=31,IZMAX=31)

      Integer*4 ix,iy,iz

      Real*8   xread(1:IXMAX)
      Real*8   yread(1:IYMAX)
      Real*8   zread(1:IZMAX)
      Real*8  vxread(1:IXMAX,1:IYMAX,1:IZMAX)
      Real*8  vyread(1:IXMAX,1:IYMAX,1:IZMAX)
      Real*8  vzread(1:IXMAX,1:IYMAX,1:IZMAX)
      Real*8 rhoread(1:IXMAX,1:IYMAX,1:IZMAX)
      Real*8  tkread(1:IXMAX,1:IYMAX,1:IZMAX)
      Real*8 sigmaread(1:IXMAX,1:IYMAX,1:IZMAX)


      Integer*4 idfin
      Integer*4 mstatus

      INCLUDE 'netcdf.inc'

c---- Main

c--- Read the NetCDF File
      IX = IXMAX
      IY = IYMAX
      IZ = IZMAX

      mstatus=nf_open('test.cdf',0,idfin)
      call ncgeto1(idfin,'x',xread,ix)
      call ncgeto1(idfin,'y',yread,ix)
      call ncgeto1(idfin,'z',zread,ix)
      call ncgeto3(idfin,'rho',rhoread,ix,iy,iz)
      call ncgeto3(idfin,'vx',vxread,ix,iy,iz)
      call ncgeto3(idfin,'vy',vyread,ix,iy,iz)
      call ncgeto3(idfin,'vz',vzread,ix,iy,iz)
      call ncgeto3(idfin,'tk',tkread,ix,iy,iz)
      call ncgeto3(idfin,'sigma',sigmaread,ix,iy,iz)
      mstatus=nf_close(idfin)

      write(6,*) 'x=', xread
c$$$      write(6,*) 'y=', yread
c$$$      write(6,*) 'z=', zread
c$$$      write(6,*) 'vx=', vxread
c$$$      write(6,*) 'vy=', vyread
c$$$      write(6,*) 'vz=', vzread
c$$$      write(6,*) 'rho=', rhoread
c$$$      write(6,*) 'tk=', tkread
c$$$      write(6,*) 'sigma=', sigmaread

      Stop

      End

      
      
