      Subroutine IterationOut(Niter)
      Implicit NONE
      
      Include 'state.inc'

      Integer Niter
      Integer ix,iy,iz
      Integer j
      Real*8 a0,a1,a2,a3,a4,a5
      Real*8 b0,b1,b2,b3,b4,b5
      Real*8 RNH,de,tex0,tex1,tex2,tex3,tex4,tex5,rg

       ix = ixout
       iy = iyout
       iz = izout

         j=0
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex0=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=1
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex1=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=2
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex2=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=3
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex3=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=4
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex4=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

         j=5
         RNH=ndens(NS,j+1,ix,iy,iz)/(ndens(NS,j,ix,iy,iz)+EPSILON)
     &       +EPSILON
         de=ELEV(J+1)-ELEV(J)
         tex5=-de/KB/log(RNH*(2.*J+1)/(2.*J+3.))

       write(50,'((1X,I8),22(1X,E10.4))') Niter
     &             ,tuser,tuser-tuser_prev
     &             ,tex0,tex1,tex2,tex3,tex4
     &             ,ndens(NS,0,ix,iy,iz)/ndens0(NS,ix,iy,iz)
     &             ,ndens(NS,1,ix,iy,iz)/ndens0(NS,ix,iy,iz)
     &             ,ndens(NS,2,ix,iy,iz)/ndens0(NS,ix,iy,iz)
     &             ,ndens(NS,3,ix,iy,iz)/ndens0(NS,ix,iy,iz)
     &             ,ndens(NS,4,ix,iy,iz)/ndens0(NS,ix,iy,iz)
     &             ,ndens(NS,5,ix,iy,iz)/ndens0(NS,ix,iy,iz)

         Return
         End

