      Subroutine Random(seed,SIZE,ran0)
      Implicit NONE
c Input 
      Integer*4 seed,SIZE
c Output
      Real*8    ran0(SIZE)
c CONSTANTS
      Integer*4 IA,IM,IQ,IR
        Parameter(IA = 16807,IM=2147483647,IQ=127773,IR=2836)
      Integer*4 MASK
        Parameter(MASK=123459876)
      Real*8 AM
        Parameter(AM=1.0D0/IM)
c Local Variable
      Integer*4 i,k

c Main
      seed = Ieor(seed,MASK)

      Do i = 1,SIZE
         k       = seed/IQ
         seed    = IA * (seed - k*IQ)-IR*k
         if (seed.lt.0) seed = seed +IM
         ran0(i) = AM*seed
      End do

      seed = Ieor(seed,MASK)

      Return
      End

