      Include 'parameter.inc'

      Character*64 INPUTCDFFILE
      COMMON/inputf/ INPUTCDFFILE

      INTEGER IPF0,IPX0,IPY0,IPZ0
      INTEGER IPF,IPX,IPY,IPZ
      INTEGER IPF2,IPX2,IPY2,IPZ2
      INTEGER NS
        Parameter(NS=1) ! dummy
      INTEGER NL(NSPECIESMAX)
      Real*8 XMAX,XMIN,YMAX,YMIN,ZMAX,ZMIN,RMAX
      Real*8 VXG,VYG,VZG,DVMAX,deltav
      Real*8 X(-1:IXMAX+1),Y(-1:IYMAX+1),Z(-1:IZMAX+1)
      Real*8 VCELL,INV_VCELL,DELTAX,DELTAY,DELTAZ
      Real*8 XM( 0:IXMAX+1),YM(0:IYMAX+1),ZM(0:IZMAX+1)
      Real*8 VX(-1:IXMAX,0:IYMAX,0:IZMAX)
     $      ,VY(-1:IXMAX,0:IYMAX,0:IZMAX)
     $      ,VZ(-1:IXMAX,0:IYMAX,0:IZMAX) 
     $      ,tk( 0:IXMAX,0:IYMAX,0:IZMAX)
     &,inv_sigma(0:IXMAX,0:IYMAX,0:IZMAX)

      Real*8 
     $   NDENS(NSPECIESMAX,-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
     $  ,NDENS_ref(NSPECIESMAX,-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
     $ ,ndens_next(NSPECIESMAX,-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
     $ ,ndens_prev(NSPECIESMAX,-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
     $ ,NDENS0(0:NSPECIESMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 ELEV(0:NLEVMAX),S,s_ref,T_REF,INV_TREF
      Real*8 SS(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 ss_ref(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 dss(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 dss2(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 SS_prev(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 
     &              PX,PY,PZ,DPX,DPY,DPZ,PF,PDC,PLEN
     &             ,NPHOTON0(1:NLEVMAX),NPHOTON(1:NLEVMAX)
     &             ,NPHOTON0_ref(1:NLEVMAX),NPHOTON_ref(1:NLEVMAX)
     &             ,DT,FACT_PNUM
     &             ,dirx,diry,dirz,dnu
      Integer NRAY
      Real*8 TBG,INV_TBG
      Real*8 ss_bk(-1:NLEVMAX,0:IXMAX,0:IYMAX,0:IZMAX)
      Real*8 PX2,PY2,PZ2
	

      COMMON /mesh/ XMAX,XMIN,YMAX,YMIN,ZMAX,ZMIN,RMAX,X,Y,Z,XM,YM,ZM,
     &              VXG,VYG,VZG,DVMAX,deltav,
     &              VCELL,INV_VCELL,DELTAX,DELTAY,DELTAZ
      COMMON /phys/ NDENS,ndens_ref,ndens_next,ndens_prev,NDENS0,
     &              VX,VY,VZ,ELEV,S,SS,dss,SS_prev,s_ref,
     &              T_REF,INV_TREF,
     &              ss_ref,dss2,inv_sigma,tk
      COMMON /phys_i/ NL
      COMMON /photon_r/ PX,PY,PZ,DPX,DPY,DPZ,PF,PDC,PLEN,DT
     &             ,NPHOTON0,NPHOTON,NPHOTON0_ref,NPHOTON_ref
     &             ,FACT_PNUM
     &             ,dirx,diry,dirz,dnu,NRAY
      COMMON /photon_r2/ PX2,PY2,PZ2
      COMMON /photon_i0/ IPF0,IPX0,IPY0,IPZ0
      COMMON /photon_i/ IPF,IPX,IPY,IPZ
      COMMON /photon_i2/ IPF2,IPX2,IPY2,IPZ2

      Real*8 HC,INV_PLANCK,INV_LC,TWOPI,INV_4PI,INV_SQRT_PI
      COMMON /physv/ HC,INV_PLANCK,INV_LC,TWOPI,INV_4PI,INV_SQRT_PI

      COMMON /phys_bk/ TBG,INV_TBG

      Real*8 MU,BB,XC
      COMMON /molecule/ MU,BB,XC

      Real*8 A(NSPECIESMAX,-1:NLEVMAX+1,-1:NLEVMAX+1)
     &                ,B(NSPECIESMAX,-1:NLEVMAX+1,-1:NLEVMAX+1)
     &                ,C(NSPECIESMAX,-1:NLEVMAX+1,-1:NLEVMAX+1)
     &     ,CTABLE(TABLEMIN:TABLEMAX,-1:NLEVMAX+1,-1:NLEVMAX+1)
     &     ,GSTAT(0:NLEVMAX)
      Real*8 tklist(0:TABLEMAX)
      Character*16    TABLENAME
      COMMON /einstain/ A,B,C,CTABLE,GSTAT,TABLENAME

      Integer ixout,iyout,izout
      Integer displayflag,iterationflag,texflag,
     &        lineflag,outflag,dcubeflag,VIEWPROCESS
      COMMON/flags/ixout,iyout,izout,
     &        displayflag,iterationflag,texflag,
     &        lineflag,outflag,dcubeflag,VIEWPROCESS

      Real*4 tm(1:2),tuser,tsystem,tcpu
      Real*4 tuser_prev,tsystem_prev
      COMMON /cmtime/ tm,tuser,tsystem,tcpu,tuser_prev,tsystem_prev
