      Subroutine Check_Termination(step)
      Implicit NONE
      Include "PARAMETER.INC"
      Include "CMNP.INC"
      Include "CMCONSTANTS.INC"
      Include "CMTHVAL.INC"
      Include "CMXVF.INC"
      Include "CMH.INC"
      Include "CMTIME.INC"
      Integer*4 step,flag,c,ip,ip_min
      Character*64 filename
      Character*8 char_fileno
      
      Real*8 nsum_count(1:NPM)
      Integer*4 max_lb_max,max_jp_sum,max_cp
      COMMON/CMMAX/ nsum_count,max_lb_max,max_jp_sum,max_cp

      Open ( Unit = 17, File='continue.flag' , Status ='OLD',Err=99)
      Close( Unit = 17 )

      Return
 99   Continue
      
      If (STAGE.le.1) Then
         Call Characterize(step,char_fileno)
         filename = 'finalitr'//char_fileno
         filename = 'finalitr-test.dat'
         NP = NP0
         Call Iteration_out(step,FILENAME)
         write(*,*) "File Output for Iteration Stage"
         write(*,*) "File Name is ",FILENAME

         Goto 1001
      Endif

      If (STAGE.eq.2) Then

         Call FileOutput(step)

         write(*,*) "File Output for Evolution Stage"
         write(*,*) "Under Construction"

c$$$         filename = 'finalevl.dat'
c$$$         
c$$$         write(*,*) "Write   :  ",filename
c$$$         
c$$$         Open(Unit=50, Access='SEQUENTIAL', Form='FORMATTED',
c$$$     &           File=filename , Status='UNKNOWN')
            
c$$$         Do ip = 1,NP0
c$$$            
c$$$            r = Sqrt(x(ip,1)*x(ip,1)+x(ip,2)*x(ip,2))
c$$$            inv_r = 1.0D0/(r+EPSILON)
c$$$               
c$$$            drho_dr = (drho_dx(ip)*x(ip,1)+drho_dy(ip)*x(ip,2))*inv_r
c$$$            drho_dth= (drho_dy(ip)*x(ip,1)-drho_dx(ip)*x(ip,2))*inv_r
c$$$            vr   = (v(ip,1)*x(ip,1)+v(ip,2)*x(ip,2))*inv_r
c$$$            vth  = (v(ip,2)*x(ip,1)-v(ip,1)*x(ip,2))*inv_r
c$$$            fr   = (dvx_dt(ip)*x(ip,1)+dvy_dt(ip)*x(ip,2))*inv_r
c$$$            fth  = (dvy_dt(ip)*x(ip,1)-dvx_dt(ip)*x(ip,2))*inv_r
c$$$               
c$$$            write(50,'(2(1X,I8),25(1X,E15.7))')ip,count_cp(ip),
c$$$     &              x(ip,1),x(ip,2),v(ip,1),v(ip,2),
c$$$     &              dvx_dt(ip),dvy_dt(ip),
c$$$     &              r,h(ip),
c$$$     &              phys_rho(ip),rho(ip),u(ip),
c$$$     &              drho_dr,
c$$$     &              drho_dth,
c$$$     &              vr,vth,fr,fth,
c$$$     &              du_dt(ip),drho_dt(ip)
c$$$     &             ,nsum_count(ip)
c$$$     &             ,dt_next(ip),dt_grav(ip),dt_therm(ip)
c$$$         End do 
c$$$         Close(Unit = 50)
            
c$$$         filename = 'finalstar.dat'
c$$$         Open(Unit=50, Access='SEQUENTIAL', Form='FORMATTED',
c$$$     &           File=filename , Status='UNKNOWN')
c$$$         write(50,'(4(1X,E15.7))') 
c$$$     &                       xstar(1),xstar(2),vstar(1),vstar(2)
c$$$         write(50,'(4(1X,E15.7))') 
c$$$     &                     xplanet(1),xplanet(2),vplanet(1),vplanet(2)
c$$$c$$$            write(50,'(4(1X,E15.7))') 
c$$$c$$$     &                 x(ip_min,1),x(ip_min,2),v(ip_min,1),v(ip_min,2)
c$$$
c$$$         Close(Unit = 50)
c$$$
c$$$         filename = 'finalbin.dat'
c$$$         Call Evolution_out(step,c,filename)
         
      Endif

 1001 Continue

      Write(*,*) 'The file contiue.flag is deleted.'
      Write(*,*) 'This exeacution is terminated.'

      Stop

      Return

      End

      Subroutine Check_TempOut(step)
      Implicit NONE
      Include "PARAMETER.INC"
      Include "CMNP.INC"
      Include "CMCONSTANTS.INC"
      Include "CMTHVAL.INC"
      Include "CMXVF.INC"
      Include "CMH.INC"
      Include "CMTIME.INC"
      Integer*4 step,flag,c,ip,ip_min
      Character*64 filename
      Character*8 char_fileno
      
      Real*8 nsum_count(1:NPM)
      Integer*4 max_lb_max,max_jp_sum,max_cp
      COMMON/CMMAX/ nsum_count,max_lb_max,max_jp_sum,max_cp

      Integer*4 a,prev_a/0/
      
      Open ( Unit = 17, File='continue.flag' , Status ='OLD')
      Read(17,*) a
      Close( Unit = 17 )
      
      If (a.gt.prev_a) Then
         Call FileOutput(step)
      Endif

      prev_a = a

      Return

      End
